%% Initiate our clean workspace and apply basic PTB default settings
sca;
close all;
clearvars;

Screen('Preference', 'SkipSyncTests', 0)
PsychDefaultSetup(2);


%% todo Insert DATAPixx code to open a USB connection and to initialize the controller
%
%
%

%% % Use PTB to open up a testing window and setup the stimulus presentation code.
screenNumber = max(Screen('Screens')) % Open a widow on the display with the largest identification number.
[window, windowRect] = PsychImaging('OpenWindow', screenNumber, BlackIndex(screenNumber));
[xCenter, yCenter] = RectCenter(windowRect);
baseRect = [0 0 200 200];
centeredRect = CenterRectOnPointd(baseRect, xCenter, yCenter);


HideCursor(screenNumber);

%% Main stimulus loop
nRep = 5;
for i = 1:nRep
    %% Prepare a white square
    Screen('FillRect', window, [1 1 1], centeredRect);
    
    %% todo Insert a random delay with Datapixx('GetTime');
    %
    %
    %
    
    %
    %
    %
    
    %% todo Insert a marker on the next frame flip with Datapixx('SetMarker');
    %
    %
    
    %% Display the white square with PTB's Screen('Flip')
    Screen('Flip', window);
  
    %% todo Insert DATAPixx code that reads the time value of the marker associated with the frame flip.
    %
    %
    
    %% Display a black square to mask the stimulus before looping back.
    Screen('FillRect', window, [0 0 0], centeredRect);
    Screen('Flip', window);
    

end
%% Close our PTB stimulus window and terminate presentation
sca;
ShowCursor();
%% todo Insert DATAPixx code to close the USB connection to the data acquisition system
%